// Written based off CheersKevin's youtube series
// On programming in KOS

// This script is the boot script for the Radarr 
// series of surface scanning probes.

// This section from latest docs.
wait until ship:unpacked.
clearscreen.

FUNCTION NOTIFY {
  PARAMETER message.
  HUDTEXT("kOS: " + message, 5, 2, 50, WHITE, false).
  PRINT message.
}

NOTIFY("Program booted!").

IF ALT:RADAR < 100 { // If our radar alt is lower than 10
  WAIT 5.
  COPY radarr.kerbin.ks FROM 0. // Copy in a prototyping script
  RUN radarr.kerbin.ks. // Run the script we coppied over
} else {
  NOTIFY("System booted but did not pass pre-flight checks, aborting excecution!").
}

